-- Side inserters have a shoter distance to travel, slowing down to compensate
SIDE_SPEED_FACTOR = 0.7
INSERT_POSITION = 1.2
LONG_INSERT_POSITION = 2.2
NEAR_INSERT_POSITION = 0.8
LONG_NEAR_INSERT_POSITION = 1.8
-- Setting this flag to false appears to fix distorted/harsh sound bugs
MATCH_SOUND_PROGRESS_TO_ACTIVITY = false

NEAR_INSERTERS = false
SIDE_INSERTERS = false

if data.raw["item"]["basic-inserter-near"] then
  NEAR_INSERTERS = true
end
if data.raw["item"]["basic-inserter-left"] then
  SIDE_INSERTERS = true
end

require("prototypes.entities")
require("prototypes.item-groups")
require("prototypes.items")
require("prototypes.recipes")
require("prototypes.technology")