-- ************************************************************
-- Basic Inserters
-- ************************************************************

if NEAR_INSERTERS then
purple_near = util.table.deepcopy(data.raw["inserter"]["purple-inserter"])
purple_near.name = "purple-inserter-near"
purple_near.icon = "__Express Inserter Variants__/graphics/icons/purple-inserter-near.png"
purple_near.insert_position = {0, NEAR_INSERT_POSITION}
purple_near.hand_closed_picture.filename = "__Express Inserter Variants__/graphics/entity/purple-inserter-hand-closed-near.png"
purple_near.hand_open_picture.filename = "__Express Inserter Variants__/graphics/entity/purple-inserter-hand-open-near.png"

data:extend(
{
  purple_near
})
end

if SIDE_INSERTERS then
purple_left = util.table.deepcopy(data.raw["inserter"]["purple-inserter"])
purple_left.name = "purple-inserter-left"
purple_left.icon = "__Express Inserter Variants__/graphics/icons/purple-inserter-left.png"
purple_left.working_sound.match_progress_to_activity = MATCH_SOUND_PROGRESS_TO_ACTIVITY
purple_left.insert_position = {INSERT_POSITION, 0}
purple_left.rotation_speed = purple_left.rotation_speed * SIDE_SPEED_FACTOR

purple_right = util.table.deepcopy(data.raw["inserter"]["purple-inserter"])
purple_right.name = "purple-inserter-right"
purple_right.icon = "__Express Inserter Variants__/graphics/icons/purple-inserter-right.png"
purple_right.working_sound.match_progress_to_activity = MATCH_SOUND_PROGRESS_TO_ACTIVITY
purple_right.insert_position = {0-INSERT_POSITION, 0}
purple_right.rotation_speed = purple_right.rotation_speed * SIDE_SPEED_FACTOR

data:extend(
{
  purple_left,
  purple_right
})
end

if NEAR_INSERTERS and SIDE_INSERTERS then
purple_left_near = util.table.deepcopy(purple_left)
purple_left_near.name = "purple-inserter-left-near"
purple_left_near.icon = "__Express Inserter Variants__/graphics/icons/purple-inserter-left-near.png"
purple_left_near.insert_position = {NEAR_INSERT_POSITION, 0}
purple_left_near.hand_closed_picture.filename = "__Express Inserter Variants__/graphics/entity/purple-inserter-hand-closed-near.png"
purple_left_near.hand_open_picture.filename = "__Express Inserter Variants__/graphics/entity/purple-inserter-hand-open-near.png"

purple_right_near = util.table.deepcopy(purple_right)
purple_right_near.name = "purple-inserter-right-near"
purple_right_near.icon = "__Express Inserter Variants__/graphics/icons/purple-inserter-right-near.png"
purple_right_near.insert_position = {0-NEAR_INSERT_POSITION, 0}
purple_right_near.hand_closed_picture.filename = "__Express Inserter Variants__/graphics/entity/purple-inserter-hand-closed-near.png"
purple_right_near.hand_open_picture.filename = "__Express Inserter Variants__/graphics/entity/purple-inserter-hand-open-near.png"

data:extend(
{
  purple_left_near,
  purple_right_near
})
end