-- Reload recipes and technologies
for i, player in ipairs(game.players) do
  player.force.reset_recipes()
  player.force.reset_technologies()
end

for index, force in pairs(game.forces) do
  -- Generate technology and recipe tables
  local tech = force.technologies
  local recipes = force.recipes
 
  -- Unlock researched recipes
  if tech["purple-inserters"] and tech["purple-inserters"].researched then
    if recipes["purple-inserter-near"] then
      recipes["purple-inserter-near"].enabled = true
    end
    if recipes["purple-inserter-left"] then
      recipes["purple-inserter-left"].enabled = true
    end
    if recipes["purple-inserter-right"] then
      recipes["purple-inserter-right"].enabled = true
    end
    if recipes["purple-inserter-left-near"] then
      recipes["purple-inserter-left-near"].enabled = true
    end
    if recipes["purple-inserter-right-near"] then
      recipes["purple-inserter-right-near"].enabled = true
    end
  end
end